Diagnostics
AGH Diagnostics HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET
/api/doctorQuery Parameters
only?string
Comma-separated probe ids or categories to include
exclude?string
Comma-separated probe ids or categories to exclude
quiet?boolean
Omit OK diagnostics
Response Body
application/json
application/json
curl -X GET "https://example.com/api/doctor"{
"duration_ms": 0,
"generated_at": "2019-08-24T14:15:22Z",
"items": [
{
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
}
],
"schema_version": "string",
"status": "string",
"summary": {
"counts_by_severity": {
"property1": 0,
"property2": 0
},
"total": 0
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}Empty
curl -X GET "https://example.com/api/status"{
"automation": {
"enabled": true,
"jobs": {
"enabled": 0,
"total": 0
},
"next_fire": "2019-08-24T14:15:22Z",
"scheduled_jobs": [
{
"catch_up_policy": "string",
"consecutive_resume_failures": 0,
"job_id": "string",
"last_fire_id": "string",
"last_misfire_at": "2019-08-24T14:15:22Z",
"last_run_at": "2019-08-24T14:15:22Z",
"last_scheduled_at": "2019-08-24T14:15:22Z",
"misfire_count": 0,
"misfire_grace_seconds": 0,
"next_run_at": "2019-08-24T14:15:22Z",
"registered": true,
"updated_at": "2019-08-24T14:15:22Z"
}
],
"scheduler_running": true,
"triggers": {
"enabled": 0,
"total": 0
}
},
"bridges": {
"auth_failures_total": 0,
"delivery_backlog": 0,
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"route_count": 0,
"status_counts": {
"auth_required": 0,
"degraded": 0,
"disabled": 0,
"error": 0,
"ready": 0,
"starting": 0
},
"total_instances": 0
},
"config": {
"apply_state": "string",
"config_file": "string",
"home_dir": "string",
"restart_required": true,
"status": "string",
"validated": true,
"validation_error": "string"
},
"daemon": {
"active_sessions": 0,
"http_host": "string",
"http_port": 0,
"network": {
"channels": 0,
"configured_default_channel": "string",
"conversation_messages": 0,
"declared_channels": [
{
"activation_id": "string",
"bundle_name": "string",
"description": "string",
"extension_name": "string",
"name": "string",
"primary": true,
"profile_name": "string",
"workspace_id": "string"
}
],
"delivery_workers": 0,
"direct_resolves": 0,
"effective_default_channel": "string",
"effective_default_source": "string",
"enabled": true,
"handoff_tagged_events": 0,
"kind_metrics": [
{
"delivered": 0,
"kind": "string",
"received": 0,
"rejected": 0,
"sent": 0
}
],
"last_disconnect": "string",
"listener_host": "string",
"listener_port": 0,
"local_peers": 0,
"messages_delivered": 0,
"messages_received": 0,
"messages_rejected": 0,
"messages_sent": 0,
"open_direct_rooms": 0,
"open_threads": 0,
"open_work_items": 0,
"queued_messages": 0,
"queued_sessions": 0,
"remote_peers": 0,
"status": "string",
"work_transitions": 0,
"workflow_tagged_events": 0
},
"pid": 0,
"socket": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "string",
"total_sessions": 0,
"user_home_dir": "string",
"version": "string"
},
"generated_at": "2019-08-24T14:15:22Z",
"health": {
"active_agents": 0,
"active_sessions": 0,
"activities": [
{
"current_tool": "string",
"deadline_at": "2019-08-24T14:15:22Z",
"elapsed_ms": 0,
"elapsed_seconds": 0,
"idle_seconds": 0,
"iteration_current": 0,
"iteration_max": 0,
"last_activity_at": "2019-08-24T14:15:22Z",
"last_activity_detail": "string",
"last_activity_kind": "string",
"last_progress_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"stall_reason": "string",
"stall_state": "string",
"status": "string",
"tool_call_id": "string",
"turn_id": "string",
"turn_source": "string",
"turn_started_at": "2019-08-24T14:15:22Z"
}
],
"agent_probes": [
{
"agent_name": "string",
"checked_at": "2019-08-24T14:15:22Z",
"command": "string",
"duration_ms": 0,
"error": "string",
"executable": "string",
"provider": "string",
"status": "string"
}
],
"bridges": {
"auth_failures_total": 0,
"delivery_backlog": 0,
"delivery_dropped_total": 0,
"delivery_failures_total": 0,
"route_count": 0,
"status_counts": {
"auth_required": 0,
"degraded": 0,
"disabled": 0,
"error": 0,
"ready": 0,
"starting": 0
},
"total_instances": 0
},
"failures": {
"by_kind": {
"property1": 0,
"property2": 0
},
"recent": [
{
"agent_name": "string",
"crash_bundle_path": "string",
"failure_kind": "string",
"provider": "string",
"session_id": "string",
"state": "string",
"summary": "string",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
],
"status": "string",
"total": 0
},
"global_db_size_bytes": 0,
"persistence": {
"global_db_size_bytes": 0,
"session_db_size_bytes": 0,
"status": "string"
},
"retention": {
"deleted_event_summaries": 0,
"deleted_permission_log_rows": 0,
"deleted_token_stats": 0,
"enabled": true,
"last_cutoff_at": "2019-08-24T14:15:22Z",
"last_sweep_at": "2019-08-24T14:15:22Z",
"last_sweep_error": "string",
"last_sweep_status": "string",
"retention_days": 0,
"sweep_interval_seconds": 0
},
"session_db_size_bytes": 0,
"status": "string",
"uptime_seconds": 0,
"version": "string"
},
"log_tail": {
"available": true,
"status": "string"
},
"mcp_servers": [
{
"auth_status": "string",
"configured": true,
"diagnostic": "string",
"initialized": true,
"name": "string",
"probe": "string",
"reason": "string",
"runtime_status": "string",
"scope": "string",
"state": "string",
"tool_count": 0,
"transport": "string",
"workspace_id": "string"
}
],
"memory": {
"configured": true,
"dream_agent": "string",
"dream_check_interval": "string",
"dream_enabled": true,
"dream_min_hours": 0.1,
"dream_min_sessions": 0,
"enabled": true,
"global_dir": "string",
"global_files": 0,
"indexed_files": 0,
"last_consolidation": "2019-08-24T14:15:22Z",
"last_operation_at": "2019-08-24T14:15:22Z",
"last_reindex": "2019-08-24T14:15:22Z",
"operation_count": 0,
"orphaned_files": 0,
"reason": "string",
"status": "string",
"workspace_count": 0,
"workspace_files": 0
},
"providers": [
{
"code": "string",
"default": true,
"display_name": "string",
"env_policy": "string",
"home_policy": "string",
"last_probe_at": "2019-08-24T14:15:22Z",
"login_command": "string",
"message": "string",
"mode": "string",
"name": "string",
"state": "string",
"status_command": "string",
"suggested_command": "string"
}
],
"schema_version": "string",
"sessions": {
"active": 0,
"by_badge": {
"property1": 0,
"property2": 0
},
"by_status": {
"property1": 0,
"property2": 0
},
"total": 0
},
"skills": {
"diagnostics": [
{
"failure": {
"actual_hash": "string",
"code": "string",
"expected_hash": "string",
"message": "string"
},
"name": "string",
"path": "string",
"source": "string",
"state": "valid",
"verification_status": "passed",
"warnings": [
{
"message": "string",
"pattern": "string",
"severity": "string"
}
],
"winning_path": "string",
"winning_source": "string"
}
],
"disabled_count": 0,
"discovered_count": 0,
"runtime_available": true
},
"tasks": {
"active_orphan_runs": 0,
"channel_mismatch_since_start": 0,
"duplicate_ingress_since_start": 0,
"forced_stops_since_start": 0,
"oldest_queue_age_ms": 0,
"oldest_queued_at": "2019-08-24T14:15:22Z",
"owner_totals": [
{
"count": 0,
"owner_kind": "string",
"owner_ref": "string"
}
],
"queue_depth": [
{
"count": 0,
"network_channel": "string",
"oldest_queue_age_ms": 0,
"oldest_queued_at": "2019-08-24T14:15:22Z"
}
],
"queue_depth_total": 0,
"recovery_since_start": {
"failed": 0,
"marked_running": 0,
"requeued": 0
},
"run_totals": [
{
"count": 0,
"network_channel": "string",
"origin_kind": "string",
"status": "string"
}
],
"status": "string",
"stuck_runs": [
{
"age_ms": 0,
"network_channel": "string",
"origin_kind": "string",
"run_id": "string",
"session_id": "string",
"status": "string",
"task_id": "string"
}
],
"task_totals": [
{
"count": 0,
"network_channel": "string",
"scope": "string",
"status": "string"
}
]
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}Empty